ml.dmlc.xgboost4j.java

## Enum IRabitTracker.TrackerStatus

- java.lang.Object
- - java.lang.Enum<IRabitTracker.TrackerStatus>
  - - ml.dmlc.xgboost4j.java.IRabitTracker.TrackerStatus

- All Implemented Interfaces:
    Serializable, Comparable<IRabitTracker.TrackerStatus>
  Enclosing interface:
    IRabitTracker

      public static enum IRabitTracker.TrackerStatus
      extends Enum<IRabitTracker.TrackerStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILURE`
    `INTERRUPTED`
    `SUCCESS`
    `TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStatusCode()`
    `static IRabitTracker.TrackerStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IRabitTracker.TrackerStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final IRabitTracker.TrackerStatus SUCCESS

    - #### INTERRUPTED

          public static final IRabitTracker.TrackerStatus INTERRUPTED

    - #### TIMEOUT

          public static final IRabitTracker.TrackerStatus TIMEOUT

    - #### FAILURE

          public static final IRabitTracker.TrackerStatus FAILURE

  - ### Method Detail

    - #### values

          public static IRabitTracker.TrackerStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IRabitTracker.TrackerStatus c : IRabitTracker.TrackerStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IRabitTracker.TrackerStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStatusCode

          public int getStatusCode()

Copyright © 2022. All rights reserved.